%define contentdir /var/www

Summary: CGI script for displaying MRTG statistics
Name: mrtg-rrd
Version: 0.7
Release: 2
Copyright: GPL
Group: System Environment/Base
Source: ftp://ftp.linux.cz/pub/linux/people/jan_kasprzak/mrtg-rrd/%{name}-%{version}.tar.gz
Patch1: mrtg-rrd-config.patch
Patch2: mrtg-rrd-fix.patch
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-buildroot

%description
The mrtg-rrd.cgi is a CGI/FastCGI script for displaying MRTG
graphs from data in the RRDtool format. It can make your
monitoring system faster because MRTG does not have to generate
all the PNG files with graphs every 5 minutes or so. Instead
of this the graphs are generated on-demand when the user wants
to see them.

The main goal of this project is to generate the output similar
to the MRTG native graphs as much as possible, providing
the drop-in replacement to the MRTG-generated graphs. It reads
the same configuration file as MRTG does, and it can understand
most of the directive types in this configuration file. It can
display single graph pages as well as the directory indexes
referring to more graphs or subdirectories.

%prep
%setup -q
%patch1 -p1 -b .config
%patch2 -p1 -b .fix

%build
#make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1

install -d -m 755 $RPM_BUILD_ROOT%{contentdir}/cgi-bin
install -s -m 755 mrtg-rrd.cgi $RPM_BUILD_ROOT%{contentdir}/cgi-bin/mrtg-rrd.cgi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc FAQ TODO COPYING ChangeLog

%{contentdir}/cgi-bin/mrtg-rrd.cgi

%changelog
* Fri May  6 2005 Petr Vokac <vokac@kmlinux.fjfi.cvut.cz> 
- Initial release based on mrtg-rrd-0.7
